EnderDashEnderDash

Regenerate Agent Key

Regenerate Agent Key. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.regenerateAgentKey

Regenerate Agent Key. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.regenerateAgentKey" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string"  }'
{  "result": {    "data": {      "agentKey": "string"    }  }}